Subject: win32 error 998: ERROR_NOACCESS
From: bmoneill <[email-masked]>
To: <[email-masked]>
Date: Tue, 06 Mar 2007 03:02:20 -0500 (EST)
List-Id: <cygwin.cygwin.com>

I am having problems with post installation processes of Cygwin on my PC. The system is running Windows XP Home Edition. I have attempted to install cygwin 5 times on this machine, the uninstallation was followed as recommended through cygwin.

Included are some command inputs with the outputs that occur; also the setup.log is included.

The following is copied as displayed by the shell.
***********************************************************************
bash-3.2$ g++
     15 [main] bash 956 child_copy: stack write copy failed, 0x22C3B0..0x230000,
 done 1624, windows pid 956, Win32 error 998
    924 [main] bash 956 fork: child 4052 - pid 4052, exitval 0x103, errno 11
bash: fork: Resource temporarily unavailable

bash-3.2$ ls -l /etc/postinstall/gcc
963214478 [main] bash 956 child_copy: stack write copy failed, 0x22C3B0..0x23000
0, done 1608, windows pid 956, Win32 error 998
963215755 [main] bash 956 fork: child 1048 - pid 1048, exitval 0x103, errno 11
bash: fork: Resource temporarily unavailable

bash-3.2$ bash --login
-879049049 [main] bash 956 child_copy: stack write copy failed, 0x22C3B0..0x2300
00, done 1628, windows pid 956, Win32 error 998
-879046504 [main] bash 956 fork: child 1180 - pid 1180, exitval 0x103, errno 11
bash: fork: Resource temporarily unavailable

bash-3.2$ cygcheck -s -v -r > cygcheck.out
-519104900 [main] bash 956 child_copy: stack write copy failed, 0x22C3B0..0x2300
00, done 1616, windows pid 956, Win32 error 998
-519104085 [main] bash 956 fork: child 2228 - pid 2228, exitval 0x103, errno 11
bash: fork: Resource temporarily unavailable
bash-3.2$
**************************************************************************

The Win32 error 998 refers to:

    ERROR_NOACCESS 998 Invalid access to memory location. 

This was obtained from a microsoft address.

The packages I am attemting to install include:

astyle 
binutils 
gcc-g++ 
gdb 
make 
splint 

nano 
VIM 
 
less 
util-linux 

I appreciate any feedback as to possible reasons and/or fixes to the memory access error. Also, is it normal for the prompt to appear as "bash-3.2$"; on other systems that run cygwin I have seen the user's name or the current logged user.

Thanks for helping
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/